FROM node:18

WORKDIR /app

# COPY package.json and package-lock.json files
COPY package*.json ./

COPY vite.config.js ./

# COPY tsconfig.json file
COPY jsconfig.json ./

# COPY
COPY . .

RUN npm install

RUN npm run build

EXPOSE 3000

CMD [ "node", "/app/build" ]
